Takaro - v0.6.0
    Preparing search index...

    GameServerApi - object-oriented interface

    GameServerApi

    Hierarchy

    • BaseAPI
      • GameServerApi
    Index

    Constructors

    Properties

    axios: AxiosInstance = globalAxios
    basePath: string = BASE_PATH
    configuration: Configuration | undefined

    Methods

    • Ban a player from a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerBanPlayer

      Parameters

      • gameServerId: string
      • playerId: string
      • OptionalbanPlayerInputDTO: BanPlayerInputDTO

        BanPlayerInputDTO

      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<APIOutput, any>>

      GameServerApi

    • Get a map tile
      OperationId: GameServerControllerGetMapTile

      Parameters

      • id: string
      • x: string
      • y: string
      • z: string
      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<void, any>>

      GameServerApi

    • Fetch a list of players on a gameserver. Requires gameserver to be online and reachable. Please use the Player on GameServer (PoG) search endpoint instead: POST /gameserver/player/search for more flexible filtering, sorting, and pagination options. Required permissions: READ_PLAYERS
      OperationId: GameServerControllerGetPlayers

      Parameters

      • id: string
      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<PlayerOnGameserverOutputDTOAPI, any>>

      GameServerApi

    • Give an item to a player. Accepts item UUID (preferred) or item code. Requires gameserver to be online and reachable. Depending on the underlying game implementation, it's possible that the item is dropped on the ground instead of placed directly in the player's inventory. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerGiveItem

      Parameters

      • gameServerId: string
      • playerId: string
      • OptionalgiveItemInputDTO: GiveItemInputDTO

        GiveItemInputDTO

      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<void, any>>

      GameServerApi

    • Kick a player from a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerKickPlayer

      Parameters

      • gameServerId: string
      • playerId: string
      • OptionalkickPlayerInputDTO: KickPlayerInputDTO

        KickPlayerInputDTO

      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<APIOutput, any>>

      GameServerApi

    • Regenerate the registration token for a gameserver. Careful, this will invalidate all existing connections. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerRegenerateRegistrationToken

      Parameters

      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<APIOutput, any>>

      GameServerApi

    • Resets all players' currency to 0 on the specified game server. This action is irreversible. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerResetCurrency

      Parameters

      • id: string
      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<APIOutput, any>>

      GameServerApi

    • Shuts down the gameserver. This is a 'soft' shutdown, meaning the gameserver will be stopped gracefully. If the gameserver is not reachable, this will have no effect. Note that most hosting providers will automatically restart the gameserver after a shutdown, which makes this operation act as a 'restart' instead. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerShutdown

      Parameters

      • id: string
      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<void, any>>

      GameServerApi

    • Teleport a player to a location. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerTeleportPlayer

      Parameters

      • gameServerId: string
      • playerId: string
      • OptionalteleportPlayerInputDTO: TeleportPlayerInputDTO

        TeleportPlayerInputDTO

      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<APIOutput, any>>

      GameServerApi

    • Unban a player from a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
      OperationId: GameServerControllerUnbanPlayer

      Parameters

      • gameServerId: string
      • playerId: string
      • Optionaloptions: RawAxiosRequestConfig

        Override http request option.

      Returns Promise<AxiosResponse<APIOutput, any>>

      GameServerApi